QEMU sérülékenység

CH azonosító

CH-13893

Angol cím

QEMU VMWARE VMXNET3 VLANSTRIP Remote User Denial of Service Vulnerability

Felfedezés dátuma

2017.02.19.

Súlyosság

Közepes

Érintett rendszerek

QEMU
QEMU team

Érintett verziók

QEMU 2.3 (.0, .1) | 2.2 (.0, .1) | 2.4 (Base, .1, .2, .3) | 2.6 (Base)
VLANSTRIP funkció engedélyezve van VMware WMXNET3 hálózati adapterről

Összefoglaló

A QEMU közepes kockázati besorolású sérülékenysége vált ismertté, melyet kihasználva a távoli, nem hitelesített támadó a helyi hálózaton szolgáltatás-megtagadásos támadást (DoS) hajthat végre. 

Leírás

A biztonsági rés oka, hogy nem megfelelő a felhasználó által megadott adatok ellenőrzése a sérülékeny alkalmazásokban. A támadó a biztonsági rés kihasználásához speciálisan kialakított adatokat küld be a támadott rendszerbe. A folyamat a pkt->ehdr_buf sérülékenységét kihasználva memóriahibát idéz elő, ami egy szolgáltatás-megtagadásos támadást eredményezhet.

Megoldás

Frissítsen a legújabb verzióra

Megoldás

Frissítések alkalmazása.